Page MenuHomePhabricator

Archive #MediaWiki-extensions-ApiSandbox
Closed, ResolvedPublic

Description

With the closing of T89386: Merge ApiSandbox extension into core, the tag MediaWiki-extensions-ApiSandbox and the few remaining bugs in it are probably obsolete.

I have no opinion on whether we should create a project for the core ApiSandbox, or leave it to the existing MediaWiki-API project.

Event Timeline

Anomie created this task.Feb 3 2016, 5:14 PM
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie added subscribers: Anomie, matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 3 2016, 5:14 PM
MarcoAurelio added a subscriber: MarcoAurelio.EditedFeb 6 2016, 10:26 PM

My idea is to archive the project and then bulk edit the tasks to change the project to MediaWiki-API. What do you think?

Anomie added a comment.Feb 7 2016, 3:11 PM

and then bulk edit the tasks to change the project to MediaWiki-API.

As I said, the remaining open tasks in that project seem to not apply to
the new rewrite. For example, old js errors when all the js was rewritten
from scratch.

and then bulk edit the tasks to change the project to MediaWiki-API.

As I said, the remaining open tasks in that project seem to not apply to
the new rewrite. For example, old js errors when all the js was rewritten
from scratch.

Okay. I'll then archive the project and close the remaining tasks as declined, with a note to open a new task under MediaWiki-API if the issue is still ongoing.

MarcoAurelio closed this task as Resolved.Feb 7 2016, 4:02 PM
MarcoAurelio claimed this task.

Project archived and tasks being closed.

MarcoAurelio triaged this task as Medium priority.Feb 7 2016, 4:03 PM
MarcoAurelio set Security to None.
MarcoAurelio reopened this task as Open.EditedFeb 7 2016, 4:12 PM

Now that I remember, shouldn't we also discourage commits to Gerrit, etc. ?

I added This extension has been merged into MediaWiki core and should not generally receive more contributions here. to the description. I'm not sure it should be made read-only though...

I remember jenkins-bot sending a message to a commit I did quite some time ago saying that the project was archived. Maybe jenkins could be configured to send similar message? And what about changing the project status on gerrit from "active" to something else? Thanks.

No idea about jenkins. Maybe you can ask someone who knows about CI config for that. Other statuses are "Read Only" and "Hidden". I'm not going to do hidden, and it's not clear to me that this should be read-only while older MW versions without ApiSandbox in core are still receiving security updates. What do you think @Anomie?

And what about changing the project status on gerrit from "active" to something else? Thanks.

Related: https://www.mediawiki.org/wiki/Gerrit/Inactive_projects

No idea about jenkins. Maybe you can ask someone who knows about CI config for that. Other statuses are "Read Only" and "Hidden". I'm not going to do hidden, and it's not clear to me that this should be read-only while older MW versions without ApiSandbox in core are still receiving security updates. What do you think @Anomie?

I probably won't be the one fixing the extension if it needs security fixing, so I don't really have an opinion there.

Aklapper removed a subscriber: Anomie.Oct 16 2020, 5:42 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptOct 16 2020, 5:42 PM